# QtConfigurationConfig.cmake provides information about the installed QtConfiguration library.
# It can be used directly from CMake via find_package(QtConfiguration NO_MODULE)
#
# The following CMake variables are provided:
#   QtConfiguration_VERSION_MAJOR - the major version number of QtConfiguration
#   QtConfiguration_VERSION_MINOR - the minor version number of QtConfiguration
#   QtConfiguration_VERSION_PATCH - the patch version number of QtConfiguration
#   QtConfiguration_INCLUDE_DIRS  - the include directories to use
#   QtConfiguration_LIBRARIES     - the libraries to link against
#
# Additionally, the following imported library targets are created, which may be used directly
# with target_link_libraries():
#   QtConfiguration::qtaccountsservice - the QtConfiguration library


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was QtConfigurationConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/cmake/QtConfiguration" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# Any changes in this ".cmake" file will be overwritten by CMake, the source is the ".cmake.in" file.

set(QtConfiguration_VERSION_MAJOR "0")
set(QtConfiguration_VERSION_MINOR "3")
set(QtConfiguration_VERSION_PATCH "1")

set(QtConfiguration_INSTALL_PREFIX "${PACKAGE_PREFIX_DIR}")
set_and_check(QtConfiguration_INCLUDE_DIR "${PACKAGE_PREFIX_DIR}/include")

if(NOT TARGET QtConfiguration)
  include("${CMAKE_CURRENT_LIST_DIR}/QtConfigurationTargets.cmake")
endif()

# "public" variables:

set(QtConfiguration_INCLUDE_DIRS ${QtConfiguration_INCLUDE_DIR} ${QtConfiguration_INCLUDE_DIR}/QtConfiguration)
set(QtConfiguration_LIBRARIES QtConfiguration::qtconfiguration)
